Page MenuHomePhabricator

Enable subpages for namespace 2019 and other years namespaces
Closed, ResolvedPublic

Description

It seems that subpages are not enabled for the "2019" namespace (and probably a bunch more). This causes magic words like {{SUBPAGENAME}} to misbehave and you don't get breadcrumb links at the top of a page.

Event Timeline

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptApr 15 2019, 9:01 AM

@Urbanecm and @Reedy, it looks like you have access to do this (judging by T199509). Could either of you have a look?

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptApr 15 2019, 9:55 AM
Urbanecm triaged this task as Normal priority.Apr 15 2019, 9:55 AM

According to the parent task and projects assigned to this task, I assume this is about wikimaniawiki. Since WMSE is the organizing chapters, I see no need for consensus, and I'm going to process this request.

Ad "and probably a bunch more") Can you provide a list of namespaces that should support sugpages? Should that be _all namespaces_? If so, let me know. Since I need to explicitly name them in the configuration, please tell us explicitly the namespace should be subpage-enabled in any future namespace-creation requests.

At this point, "2019" is the only namesapce that I need to have subpages. If you enable them for that one, it should be enough.

My guess is that other year namespaces may need them too at some point, but they look mostly empty so far. I don't know really what the plan for them is.

Sebastian_Berlin-WMSE renamed this task from Enable subpages for namespaces to Enable subpages for namespace 2019.Apr 15 2019, 2:06 PM

Change 504018 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable subpages by default for a few more extra namespaces

https://gerrit.wikimedia.org/r/504018

Urbanecm renamed this task from Enable subpages for namespace 2019 to Enable subpages for namespace 2019 and other years namespaces.

Change 504018 abandoned by Urbanecm:
Enable subpages by default for a few more extra namespaces

Reason:
Okay, if you think @Jdforrester... Let's switch the patches :).

https://gerrit.wikimedia.org/r/504018

Change 504939 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add wikimania years namespaces to wgNamespacesWithSubpages

https://gerrit.wikimedia.org/r/504939

Change 504939 merged by Mobrovac:
[operations/mediawiki-config@master] Add wikimania years namespaces to wgNamespacesWithSubpages

https://gerrit.wikimedia.org/r/504939

Mentioned in SAL (#wikimedia-operations) [2019-04-18T23:06:59Z] <mobrovac@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Add wikimania years namespaces to wgNamespacesWithSubpages - T220950 (duration: 00m 53s)

Urbanecm closed this task as Resolved.Apr 18 2019, 11:07 PM

Done!